FROM node:12.13.0-alpine as builder
VOLUME /root/.ssh
VOLUME /tmp
#This is to overcome a bitbucket pipeline bug that prevents global npm packages from being installed
ENV NPM_CONFIG_UNSAFE_PERM=true

RUN apk add --upgrade apk-tools && \
    apk -v --update add \
        bash \
        git \
        zip && \
    rm /var/cache/apk/*

ENTRYPOINT [ "node" ]